function testing(contacts)
% UNTITLED Summary of this function goes here
% Detailed explanation goes here

% u(1:4) = y( 7:10);
% phi    = y(11);
% v(1:4) = y( 1: 4);
% phiP   = y( 5);
% omega  = y( 6);  
y = zeros(1,11);
y(8) = 1.0;

S = 0:0.001:25;
%                                        axle 1            /    axle 2
proximity = zeros(size(S,2),9); % [s, xi, eta, gamma, secID, xi, eta, gamma, secID]

row = 1;
for s=S
    y(7)=s;
    %disp(s);
    contacts.putY(y);
    for axle=[1 2]
        proximity(row,1) = s;
        xi = contacts.getContactGeometry(axle);
        proximity(row,4*axle-2:4*axle) = [xi,contacts.eta(axle),contacts.gamma(axle)];
        proximity(row,4*axle+1) = contacts.section(axle);
    end
    row = row+1;
end

% arrange in tiles https://se.mathworks.com/help/matlab/creating_plots/combine-multiple-plots.html
tiledlayout(2,2) 

% Left plot
nexttile
% plot of displacements, st aspect ratio, turn grid on, reverse y-axis

hold on;
plot(proximity(:,1),proximity(:,5));
plot(proximity(:,1),proximity(:,9));
hold off;

%pbaspect([0.5 1 1])
grid on
%set(gca, 'YDir','reverse')

title('section no');
ylabel('sec # ->'); 
xlabel('s/m ->');

% upper right
nexttile
% plot of displacements, st aspect ratio, turn grid on, reverse y-axis

hold on;
plot(proximity(:,1),proximity(:,2));
plot(proximity(:,1),proximity(:,6));
hold off;

%pbaspect([0.5 1 1])
grid on
%set(gca, 'YDir','reverse')

title('relative touch-coordinate');
ylabel('xi ->'); 
xlabel('s/m ->');

% lower left
nexttile
% plot of displacements, st aspect ratio, turn grid on, reverse y-axis

hold on;
plot(proximity(:,1),proximity(:,3));
plot(proximity(:,1),proximity(:,7));
hold off;

%pbaspect([0.5 1 1])
grid on
%set(gca, 'YDir','reverse')

title('relative distance');
ylabel('D/R ->'); 
xlabel('s/m ->');

% lower right
nexttile
% plot of displacements, st aspect ratio, turn grid on, reverse y-axis

hold on;
plot(proximity(:,1),proximity(:,4));
plot(proximity(:,1),proximity(:,8));
hold off;

%pbaspect([0.5 1 1])
grid on
%set(gca, 'YDir','reverse')

title('contact angle');
ylabel('gamma/rad ->'); 
xlabel('s/m ->');

hold off;

end
